import {fetchBase} from '@/api/doctor/doctorFetch'

//查初筛和复筛列表
export function getScreenAllList(residentInfoId, loading) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-record/screen-list`,body:{residentInfoId},loading})
}

// 慢病专病筛查详情
export function secondScreenDetail(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-rescreen/rescreen-detail`, body: params, loading: true })
}

//查询最近一次专病高危筛查
export function getLastScreen(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-rescreen/last-info`, body: params, loading: true})
}

// 保存复筛
export function saveSecondScreening(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-rescreen/save`,body: params,loading: true})
}

// 修改复筛
export function updateSecondScreening(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-rescreen/update`,body: params,loading: true})
}
// 删除复筛
export function deleteSecondScreening(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-rescreen/delete`,body: params,loading: true})
}

// 保存初筛
export function saveFirstScreening(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-record/save`,body: params,loading: true})
}

// 修改初筛
export function updateFirstScreening(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-record/update`,body: params,loading: true})
}

// 删除初筛
export function deleteFirstScreening(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-record/delete`,body: params,loading: true})
}

// 慢病高危筛查详情
export function firstScreenDetail(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-screening-record/screening-detail`, body: params, loading: true })
}
