import {fetchBase} from '@/api/doctor/doctorFetch'

// 主键查询
export function fetchSlowSpecialById(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-special-diseases/record`, body: params, loading: true })
}

// 新增慢特病随访
export function addSlowSpecial(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-special-diseases/save`, body: params, loading: true })
}

//修改慢特病随访
export function updateSlowSpecial(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-special-diseases/update`, body: params, loading: true })
}
// 列表查询
export function fetchSlowSpecialList(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-special-diseases/record-list`, body: params, loading: true })
}



//删除慢特病随访
export function delSlowSpecialById(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-visit-special-diseases/delete`, body: params, loading: true })
}


// 慢特病季度随访分页查询
export function fetchSlowSeasonList(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-special-pending-visit/page`, body: params, loading: true })
}

//慢特病季度随访修改
export function updateSlowSeason(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-special-pending-visit/update`, body: params, loading: true })
}